Listar eventos
curl --request GET \
--url https://api.juridiq.com.br/event/ \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/event/"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/event/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "event",
"title": "<string>",
"start": "<string>",
"end": "<string>",
"allDay": true,
"textColor": "<string>",
"backgroundColor": "<string>",
"borderColor": "<string>",
"classNames": "<string>",
"isPrivate": true,
"status": "<string>",
"priority": "<string>",
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"link": "<string>",
"initialHour": "<string>",
"finalHour": "<string>",
"date": "<string>"
}
],
"eventsFuture": 123,
"totalResults": 123,
"totalPages": 123
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Events
Listar eventos
GET
/
event
/
Listar eventos
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key.
Query Parameters
IDs dos responsáveis (vírgula ou repetido na query)
IDs para métricas (vírgula ou repetido na query)
Filtra por personId do evento/audiência
Filtra por processo
Campo de data para filtro
Available options:
initialDate, finalDate, all Data inicial
Data final
all = todas, completed = concluídas, pending = não concluídas
Available options:
all, completed, pending true para resposta completa
true para incluir eventsFuture (métricas); calendário não precisa
IDs de tags
Filtro por tipo de item no calendário
Available options:
all, tasks, events, audiences, google Prioridades das tarefas
IDs de etiquetas das tarefas
asc ou desc
Available options:
asc, desc Campo de ordenação. date (data de ocorrência)
Página (1-based)
Required range:
x > 0Limite por página (máx. 200)
Required range:
0 < x <= 200
